Debian Bug report logs - #385696
./MAKEDEV: No such file or directory

version graph

Package: fuse-utils; Maintainer for fuse-utils is Daniel Baumann <daniel.baumann@progress-technologies.net>; Source for fuse-utils is src:fuse.

Reported by: Johan Thelmén <jth@home.se>

Date: Sat, 2 Sep 2006 10:49:11 UTC

Severity: serious

Tags: fixed, patch

Found in version fuse/2.5.3-4

Fixed in version 2.5.3-4.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to Johan Thelmén <jth@home.se>:
New Bug report received and forwarded. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johan Thelmén <jth@home.se>
To: submit@bugs.debian.org
Subject: ./MAKEDEV: No such file or directory
Date: Sat, 2 Sep 2006 12:40:21 +0200
Package: fuse-utils
Version: 2.5.3-4
Severity: serious
Tags: patch

Makes the package in question unusable or mostly so
Policy 6.1 Programs called from maintainer scripts should not normally have a path prepended to them. 

Setting up fuse-utils (2.5.3-4) ...
creating fuse device...
/var/lib/dpkg/info/fuse-utils.postinst: line 9: ./MAKEDEV: No such file or directory
dpkg: error processing fuse-utils (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 fuse-utils
E: Sub-process /usr/bin/dpkg returned an error code (1)

x:/dev# ./MAKEDEV fuse
bash: ./MAKEDEV: No such file or directory
x:/dev# MAKEDEV fuse
udev active, devices will be created in /dev/.static/dev/

And, or add true so it do not abort on fail. || true

-- 
TIA Johan Thelmén
Sweden Falun



Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to "村长" <apzc2529@tom.com>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #10 received at 385696@bugs.debian.org (full text, mbox):

From: "村长" <apzc2529@tom.com>
To: 385696@bugs.debian.org
Subject: ./MAKEDEV: No such file or directory
Date: Mon, 4 Sep 2006 08:18:03 +0800 (CST)
[Message part 1 (text/plain, inline)]
cat /tmp/reportbug-fuse-utils-20060904-4695-be3O6D
Subject: ./MAKEDEV: No such file
Package: fuse-utils
Version: 2.5.3-4
Severity: normal

Today when I apt-get upgrade,the error happened:

creating fuse device...
/var/lib/dpkg/info/fuse-utils.postinst: line 9: ./MAKEDEV: No 
such file
or directory
dpkg: error processing fuse-utils (--configure):
 subprocess post-installation script returned error exit status 
1
Setting up libconfigfile-perl (1.3) ...
Setting up apt-file (2.0.8) ...
Errors were encountered while processing:
 fuse-utils
E: Sub-process /usr/bin/dpkg returned an error code (1)

*****************
I find MAKEDEV in the path /sbin:
cunzhang@Debian:~$ whereis MAKEDEV
MAKEDEV: /sbin/MAKEDEV /usr/share/man/man8/MAKEDEV.8.gz
**************

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-686
Locale: LANG=zh_CN, LC_CTYPE=zh_CN (charmap=GB2312)

Versions of packages fuse-utils depends on:
ii  adduser                      3.97        Add and remove 
users and groups
ii  libc6                        2.3.6.ds1-4 GNU C Library: 
Shared libraries
ii  makedev                      2.3.1-82    creates device 
files in /dev
ii  sed                          4.1.5-1     The GNU sed stream 
editor
ii  ucf                          2.0014      Update 
Configuration File: preserv
ii  udev                         0.098-2     /dev/ and hotplug 
management daemo

fuse-utils recommends no packages.

-- no debconf information
 

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to "Bartosz Feński" <fenio@debian.org>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #15 received at 385696@bugs.debian.org (full text, mbox):

From: "Bartosz Feński" <fenio@debian.org>
To: "村长" <apzc2529@tom.com>, 385696@bugs.debian.org
Subject: Re: Bug#385696: ./MAKEDEV: No such file or directory
Date: Mon, 4 Sep 2006 22:35:49 +0200
2006/9/4, 村长 <apzc2529@tom.com>:
>
> cat /tmp/reportbug-fuse-utils-20060904-4695-be3O6D
> Subject: ./MAKEDEV: No such file
> Package: fuse-utils
> Version: 2.5.3-4
> Severity: normal
>
> Today when I apt-get upgrade,the error happened:
>
> creating fuse device...
> /var/lib/dpkg/info/fuse-utils.postinst: line 9: ./MAKEDEV: No
> such file
> or directory
> dpkg: error processing fuse-utils (--configure):
>  subprocess post-installation script returned error exit status
> 1
> Setting up libconfigfile-perl (1.3) ...
> Setting up apt-file (2.0.8) ...
> Errors were encountered while processing:
>  fuse-utils
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> *****************
> I find MAKEDEV in the path /sbin:
> cunzhang@Debian:~$ whereis MAKEDEV
> MAKEDEV: /sbin/MAKEDEV /usr/share/man/man8/MAKEDEV.8.gz

Strange... makedev should create this symlink during startup:

(fenio@lapik)~$grep ln /etc/init.d/makedev
       test -L /dev/MAKEDEV || ln -fs /sbin/MAKEDEV /dev/MAKEDEV
(fenio@lapik)~$

regards
fEnIo

Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to Johan Thelmén <jth@home.se>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #20 received at 385696@bugs.debian.org (full text, mbox):

From: Johan Thelmén <jth@home.se>
To: 385696@bugs.debian.org
Subject: Depend..
Date: Tue, 5 Sep 2006 08:19:00 +0200
Well fuse-utils do not depend on makedev and should not I think. I use udev instead.

But why depend on that link?
Why not use
cd /dev ; MAKEDEV fuse 2>/dev/null || true
or this for no output
cd /dev ; MAKEDEV fuse 2>/dev/null >/dev/null || true

Then if there is no MAKEDEV in path it is ok anyway.
I'm not starting makedev on startup, I do not want that link.

-- 
Johan Thelmén
Sweden Falun



Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to "村长" <apzc2529@tom.com>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #25 received at 385696@bugs.debian.org (full text, mbox):

From: "村长" <apzc2529@tom.com>
To: "bartosz_fe&#65533;ki" <fenio@debian.org>,385696@bugs.debian.org
Subject: About Bug#385696: ./MAKEDEV: No such file or directory
Date: Tue, 5 Sep 2006 19:12:50 +0800 (CST)
[Message part 1 (text/plain, inline)]
I think Johan Thelm¨¦n is right,and I don't start MAKEDEV on 
startup.So this is the reason I don't find MAKEDEV in /dev.
You should modify it,if it don't depend on it.

Thank you very much for your help,Bartosz Fe¨½ski and Johan 
Thelm¨¦n !
                                                       Yours,
                                                 cunzhang(´å³¤£©

**************************
cunzhang@Debian:~$ grep ln /etc/init.d/makedev
        test -L /dev/MAKEDEV || 
ln -fs /sbin/MAKEDEV /dev/MAKEDEV

**************************
From: Johan Thelm¨¦n <jth@home.se>
To: 385696@bugs.debian.org
Subject: Depend..
Date: Tue, 5 Sep 2006 08:19:00 +0200

Well fuse-utils do not depend on makedev and should not I 
think. I use udev instead.

But why depend on that link?
Why not use
cd /dev ; MAKEDEV fuse 2>/dev/null || true
or this for no output
cd /dev ; MAKEDEV fuse 2>/dev/null >/dev/null || true

Then if there is no MAKEDEV in path it is ok anyway.
I'm not starting makedev on startup, I do not want that link.

-- 
Johan Thelm¨¦n
Sweden Falun

**************************
>
> (fenio@lapik)~$grep ln /etc/init.d/makedev
>         test -L /dev/MAKEDEV || 
ln -fs /sbin/MAKEDEV /dev/MAKEDEV
> (fenio@lapik)~$
> 
> regards
> fEnIo
>  

 

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to "Bartosz Feński" <fenio@debian.org>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #30 received at 385696@bugs.debian.org (full text, mbox):

From: "Bartosz Feński" <fenio@debian.org>
To: "村长" <apzc2529@tom.com>
Cc: 385696@bugs.debian.org, control@bugs.debian.org
Subject: Re: About Bug#385696: ./MAKEDEV: No such file or directory
Date: Tue, 5 Sep 2006 17:50:59 +0200
severity 385696 normal
thanks

> I think Johan Thelmén is right,and I don't start MAKEDEV on
> startup.So this is the reason I don't find MAKEDEV in /dev.
> You should modify it,if it don't depend on it.
>
> Thank you very much for your help,Bartosz Feński and Johan
> Thelmén !

Ok I'll reupload it using real path and not depending on this symlink.

I'm downgrading this bug now cause in fact I could close it without
fix. Putting makdev as a depencency is enough to ensure that this
symlink is in place. I saw many packages using that symlink and I
doubt it's release critical problem.

Anyway thanks for bugreport. It'll be fixed in next revision.

regards
fEnIo

Severity set to `normal' from `serious' Request was from "Bartosz Feński" <fenio@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#385696; Package fuse-utils. Full text and rfc822 format available.

Acknowledgement sent to Johan Thelmén <jth@home.se>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. Full text and rfc822 format available.

Message #37 received at 385696@bugs.debian.org (full text, mbox):

From: Johan Thelmén <jth@home.se>
To: 385696@bugs.debian.org, control@bugs.debian.org
Subject: Depends or not.
Date: Wed, 6 Sep 2006 08:56:14 +0200
severity 385696 serious
thanks

< Putting makdev as a depencency is enough to ensure that this symlink is in place.
Yes it would, but you do not depend on it.. It is makedev OR udev see?
Depends: libc6 (>= 2.3.6-6), sed (>= 4), ucf, adduser, makedev (>= 2.3.1-80) | udev

I had to ask anotherone from #debian-bugs just to make sure..
[08:05] <TeLLuS> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=385696  Is it a rcbug or not? Not depending on makedev and then use it in post-installation script and fail to configure? Use a path prepended and other packages depending on this package.
[08:16] <pusling> doing weird stuff to your configuration that breaks other stuff isn't rc.
[08:17] <pusling> rm -rf /bin/sh ; reportbug initscripts ; severity critical ; do not work without a /bin/sh symlink
[08:31] <TeLLuS> pusling: It will still fail if I do not change my configuration.. It is not depending on makedev and will fail without any of my configuration. If I remove makedev and try to install I will get the same error without change to my configuration..
[08:31] <pusling> ah.
[08:31] <pusling> then yes.

So if it survive configuration without having makedev it is ok. Just by adding || true

-- 
TIA Johan Thelmén
Sweden Falun



Severity set to `serious' from `normal' Request was from Johan Thelmén <jth@home.se> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from madduck@debian.org (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.5.3-4.1, send any further explanations to Johan Thelmén <jth@home.se> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Johan Thelmén <jth@home.se>:
Bug#385696. Full text and rfc822 format available.

Message #46 received at 385696-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380056-submitter@bugs.debian.org, 380123-submitter@bugs.debian.org, 380147-submitter@bugs.debian.org, 380466-submitter@bugs.debian.org, 380581-submitter@bugs.debian.org, 380589-submitter@bugs.debian.org, 380723-submitter@bugs.debian.org, 380728-submitter@bugs.debian.org, 380801-submitter@bugs.debian.org, 380872-submitter@bugs.debian.org, 380915-submitter@bugs.debian.org, 380993-submitter@bugs.debian.org, 381005-submitter@bugs.debian.org, 381068-submitter@bugs.debian.org, 381110-submitter@bugs.debian.org, 381225-submitter@bugs.debian.org, 381338-submitter@bugs.debian.org, 381390-submitter@bugs.debian.org, 381452-submitter@bugs.debian.org, 381456-submitter@bugs.debian.org, 381624-submitter@bugs.debian.org, 381646-submitter@bugs.debian.org, 381816-submitter@bugs.debian.org, 382096-submitter@bugs.debian.org, 382114-submitter@bugs.debian.org, 382131-submitter@bugs.debian.org, 382214-submitter@bugs.debian.org, 382260-submitter@bugs.debian.org, 382400-submitter@bugs.debian.org, 382491-submitter@bugs.debian.org, 382512-submitter@bugs.debian.org, 382642-submitter@bugs.debian.org, 382769-submitter@bugs.debian.org, 382783-submitter@bugs.debian.org, 382807-submitter@bugs.debian.org, 382867-submitter@bugs.debian.org, 382951-submitter@bugs.debian.org, 382958-submitter@bugs.debian.org, 383175-submitter@bugs.debian.org, 383314-submitter@bugs.debian.org, 383426-submitter@bugs.debian.org, 383565-submitter@bugs.debian.org, 383569-submitter@bugs.debian.org, 383616-submitter@bugs.debian.org, 383823-submitter@bugs.debian.org, 384057-submitter@bugs.debian.org, 384081-submitter@bugs.debian.org, 384223-submitter@bugs.debian.org, 384282-submitter@bugs.debian.org, 384356-submitter@bugs.debian.org, 384358-submitter@bugs.debian.org, 384489-submitter@bugs.debian.org, 384507-submitter@bugs.debian.org, 384566-submitter@bugs.debian.org, 384593-submitter@bugs.debian.org, 384725-submitter@bugs.debian.org, 384750-submitter@bugs.debian.org, 384756-submitter@bugs.debian.org, 384772-submitter@bugs.debian.org, 384825-submitter@bugs.debian.org, 384826-submitter@bugs.debian.org, 384937-submitter@bugs.debian.org, 384995-submitter@bugs.debian.org, 385062-submitter@bugs.debian.org, 385080-submitter@bugs.debian.org, 385177-submitter@bugs.debian.org, 385378-submitter@bugs.debian.org, 385643-submitter@bugs.debian.org, 385696-submitter@bugs.debian.org, 385800-submitter@bugs.debian.org, 385819-submitter@bugs.debian.org, 385820-submitter@bugs.debian.org, 385827-submitter@bugs.debian.org, 385828-submitter@bugs.debian.org, 385829-submitter@bugs.debian.org, 385830-submitter@bugs.debian.org, 385831-submitter@bugs.debian.org, 385835-submitter@bugs.debian.org, 385837-submitter@bugs.debian.org, 385839-submitter@bugs.debian.org, 385841-submitter@bugs.debian.org, 385943-submitter@bugs.debian.org, 378525-submitter@bugs.debian.org, 378699-submitter@bugs.debian, org@mauritius.dodds.net, 379208-submitter@bugs.debian.org, 374601-submitter@bugs.debian.org, 388193-submiter@bugs.debian.org, 366090-submitter@bugs.debian.org, 343015-submitter@bugs.debian.org, 342963-submitter@bugs.debian.org, 342962-submitter@bugs.debian.org, 342966-submitter@bugs.debian.org, 342997-submitter@bugs.debian.org, 343000-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 01:59:27 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 380056 0.4.2-3.2
close 380123 1.1.3-5.3
close 380147 0.4.14-1.1
close 380466 0.3.9-1.1
close 380581 0.3.7-1.1
close 380589 1:1.0.0-rel-3.1
close 380723 0.0.43-0.3
close 380728 0.3.2-7.1
close 380801 3.0.3-3.1
close 380872 0.4-1.1
close 380915 0.8-1.1
close 380993 2.4.0-3.1
close 381005 1:1.0-3.1
close 381068 0.4.7-1.1
close 381110 2.6.3.2.1.2
close 381225 1:1.0.1-4.1
close 381338 2.3.4-3.1
close 381390 2.1.1-5.2
close 381452 21.4a-6.2
close 381456 0.3.4.cvs.20050813-2.2
close 381624 3.6.13-3.6
close 381646 7.4-3.1
close 381816 6.2.10-4.1
close 382096 1.3.29-2.1
close 382114 1:1.2.4.1-6.1
close 382131 1.9.6-3.1
close 382214 0.4.7-1.1
close 382260 1.13-1.1
close 382400 0.87.5-2
close 382491 0.2.1-1.1
close 382512 1.0.0-9.2
close 382642 2.2.3-1.1
close 382769 0.2.12-1.2
close 382783 1.0.57-2.3
close 382807 0.5.4-0.1
close 382867 0.10-1.1
close 382951 2.6.3.2.1.5
close 382958 1.0.5-1.1
close 383175 0.1.8.1-3.1
close 383314 7:6.2.4.5.dfsg1-0.10
close 383426 4.0.6-2.1
close 383565 0.1.6.9-1.1
close 383569 0.95-2.1
close 383616 1.0.5-1.1
close 383823 2.2.0-2.1
close 384057 6.5.0.cvs.20060524-1.1
close 384081 1:5.22-1.1
close 384223 0.80+dfsg-1
close 384282 6.5.0.cvs.20060524-1.1
close 384356 0.9.10-3.1
close 384358 0.88-3.1
close 384489 0.4.2-7.1
close 384507 0.4.20-12.1
close 384566 0.13-3.3
close 384593 210-3.1
close 384725 2.8.5-2sarge1.2
close 384750 0.9.2+cvs.1.0.dev.2004.07.28-4.1
close 384756 0.15.0-1.1
close 384772 0.9.6-1.1
close 384825 0.0.43-0.4
close 384937 0.03-1.1
close 384995 0.5-1.1
close 385062 7:6.2.4.5.dfsg1-0.10
close 385080 1.3.29-2.1
close 385177 1.1.3-1.2
close 385378 0.33.3-1.1
close 385643 0.07-1.1
close 385696 2.5.3-4.1
close 385800 3.4.2-1.1
close 385819 0.6.6-6.1
close 385820 0.6.6-4.1
close 385827 3.5-9.1
close 385828 1.3.2-3.3
close 385829 1.4.3-17.2
close 385830 0.5-8.1
close 385831 2.0.9-1.2
close 385835 3.0.9-2.1
close 385837 0.3-5.2
close 385839 2.3.0-1
close 385841 1.1pre14-2.1
close 385943 2.8.5-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 07:28:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:31:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.